fop 2.3

## org.apache.fop.render.pdf
Class PDFRendererConfig

    java.lang.Object
      org.apache.fop.render.pdf.PDFRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class PDFRendererConfig

extends java.lang.Object
implements RendererConfig

The PDF renderer configuration data object.

Nested Class Summary
`static class` `PDFRendererConfig.PDFRendererConfigParser` The PDF renderer configuration data parser.

Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig
`RendererConfig.RendererConfigParser`

Method Summary
`PDFRendererOptionsConfig` `getConfigOptions()`
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConfigOptions

    public PDFRendererOptionsConfig getConfigOptions()

### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

  Description copied from interface: `RendererConfig`
  Returns the render-specific font configuration information.

  Specified by:
    `getFontInfoConfig` in interface `RendererConfig`
  Returns:
    the font config

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.